package jp.android.booksample.PendingIntentSample;

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.TextView;

/**
 * PendingIntentSampleの表示用Fragment
 */
public class PendingIntentSampleFragment extends Fragment {

	private View mContentView = null;
	
    /**
     * {@inheritDoc}
     */
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        mContentView = inflater.inflate(R.layout.pending_intent_sample_fragment, container, false);
        
        // [Service]ボタン
        Button btnService = (Button) mContentView.findViewById(R.id.button_service);
        btnService.setOnClickListener(new OnClickListener(){  
  
            @Override  
            public void onClick(View v) {  
            	((PendingIntentSampleFragmentClickListener) getActivity()).onClickServiceButton();
            }  
              
        });

        // [Broadcast]ボタン
        Button btnBroadcast = (Button) mContentView.findViewById(R.id.button_broadcast);
        btnBroadcast.setOnClickListener(new OnClickListener(){  
  
            @Override  
            public void onClick(View v) {  
            	((PendingIntentSampleFragmentClickListener) getActivity()).onClickBroadcastButton();
            }  
              
        });

        // [Activities]ボタン
        Button btnSendActivity = (Button) mContentView.findViewById(R.id.button_activities);
        btnSendActivity.setOnClickListener(new OnClickListener(){  
  
            @Override  
            public void onClick(View v) {  
            	((PendingIntentSampleFragmentClickListener) getActivity()).onClickActivitiesButton();
            }  
              
        });
        
        return mContentView;
    }

/**
 * 指定されたタスクIDを表示する。
 * @param taskId タスクID
 */
    public void setTaskId(final int taskId) {
		TextView view = (TextView) mContentView.findViewById(R.id.task_id);
		view.setText(Integer.toString(taskId));
    }

/**
 * 指定されたタスクIDを表示する。
 * @param taskId 呼び出し元のタスクID
 */
    public void setCallingTaskId(final int taskId) {
		TextView view = (TextView) mContentView.findViewById(R.id.calling_task_id);
		view.setText(Integer.toString(taskId));
    }

    /**
     * インタフェース定義
     * @author Makoto Chaen
     *
     */
    public interface PendingIntentSampleFragmentClickListener {
    	public void onClickActivitiesButton();
        public void onClickServiceButton();
        public void onClickBroadcastButton();
    }

}
