package jp.android.booksample.PendingIntentSample;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;

/**
 * PendingIntent BroadcastReceiverサンプル
 * @author Makoto Chaen
 *
 */
public class PendingIntentSampleReceiver extends BroadcastReceiver {
	
	@Override
	public void onReceive(Context context, Intent intent) {
    	Log.d("jp.android.booksample.PendingIntentSample", "PendingIntentSampleReceiver.onReceive()");

		Bundle bundle = intent.getExtras();
		String action = intent.getAction();
		if (action != null) {
			if (action.equals(PendingIntentSampleActivity.INTENT_ACTION_SHOW_MESSAGE)) {
				String message = "called !!";
				if (bundle != null) {
					message = bundle.getString(PendingIntentSampleActivity.EXTRA_KEY_MESSAGE);
					int value = bundle.getInt("VALUE", -1);
					if (value != -1) {
						message += "with(" + value +")";
					}
				}
				// ブロードキャストを受け取ったことをトーストで表示する。
				Toast.makeText(context, message, Toast.LENGTH_SHORT).show();
			}
		}
	}

}
